Skip to main content
`Ctrl`+`K`

# DMMoabGetVertexCoordinates

Get the coordinates corresponding to the requested vertex entities

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetVertexCoordinates(DM dm, PetscInt nconn, const moab::EntityHandle *conn, PetscReal *vpos)

Collective

## Input Parameters

- dm - The `DMMOAB` object

- nconn - Number of entities whose coordinates are needed

- conn - The vertex entity handles

## Output Parameter

- vpos - The coordinates of the requested vertex entities

## See Also

`DMMOAB`, `DMMoabGetVertexConnectivity()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ts/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages